headless lms

Reorder a course's modules

POST /api/courses/{courseId}/modules/reorder. Reorder a course's modules. Headless LMS Content API reference.

POST
/api/courses/{courseId}/modules/reorder

Requires courses:write. Ids that are not modules of the course are ignored. Returns the course's modules.

Path Parameters

courseId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/courses/string/modules/reorder" \  -H "Content-Type: application/json" \  -d '{    "orderedIds": [      "string"    ]  }'
[  {    "orgId": "string",    "id": "string",    "courseId": "string",    "title": "string",    "seq": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}